%define upstream_name    App-CPAN2Pkg
%define upstream_version 3.002

Name:       cpan2pkg
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Worker dedicated to Mageia distribution
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DateTime)
BuildRequires: perl(Devel::Platform::Info::Linux)
BuildRequires: perl(Exporter::Lite)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::ShareDir) >= 1.0.0
BuildRequires: perl(File::ShareDir::PathClass)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Find::Lib)
BuildRequires: perl(FindBin)
BuildRequires: perl(Getopt::Long::Descriptive)
BuildRequires: perl(HTML::TreeBuilder)
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::ClassAttribute)
BuildRequires: perl(MooseX::Has::Sugar)
BuildRequires: perl(MooseX::POE)
BuildRequires: perl(MooseX::SemiAffordanceAccessor)
BuildRequires: perl(MooseX::Singleton)
BuildRequires: perl(POE)
BuildRequires: perl(POE::Component::Client::HTTP)
BuildRequires: perl(POE::Loop::Tk)
BuildRequires: perl(POE::Wheel::Run)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Readonly)
BuildRequires: perl(Term::ANSIColor)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Tk)
BuildRequires: perl(Tk::Balloon)
BuildRequires: perl(Tk::HList)
BuildRequires: perl(Tk::NoteBook)
BuildRequires: perl(Tk::PNG)
BuildRequires: perl(Tk::ROText)
BuildRequires: perl(Tk::Role::HasWidgets)
BuildRequires: perl(Tk::Sugar)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

Requires: perl-devel
Requires: perl(CPANPLUS)
Requires: rpm-build
# For proper Mga packages:
Suggests: perl-CPANPLUS-Dist-Mageia

%description
Don't use this module directly, refer to the 'cpan2pkg' script instead.

'App::CPAN2Pkg' is the main entry point for the 'cpan2pkg' application. It
also provides some information about processed modules.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
#./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 3.2.0-8.mga4
+ Revision: 534659
- Mageia 4 Mass Rebuild

* Fri Sep 13 2013 tv <tv> 3.2.0-7.mga4
+ Revision: 478513
- suggests perl-CPANPLUS-Dist-Mageia

* Sun Jun 02 2013 jquelin <jquelin> 3.2.0-6.mga4
+ Revision: 434463
- perl 5.18.0 rebuild

* Wed May 29 2013 shlomif <shlomif> 3.2.0-5.mga4
+ Revision: 432268
- Rebuild for perl-5.18.0
- A missing dependency
- Add missing Requires on perl-devel/etc.
  cpan2pkg makes use of /usr/bin/cpanp which is in perl-devel and perl-CPANPLUS.

* Mon Mar 18 2013 jquelin <jquelin> 3.2.0-4.mga3
+ Revision: 403801
- perl 5.16.3 rebuild

* Fri Jan 11 2013 umeabot <umeabot> 3.2.0-3.mga3
+ Revision: 348214
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 28 2012 shlomif <shlomif> 3.2.0-2.mga3
+ Revision: 322582
- Rebuild for new /usr/bin/perl* path.

* Mon Oct 29 2012 jquelin <jquelin> 3.2.0-1.mga3
+ Revision: 311474
- update to 3.002

* Tue Oct 09 2012 jquelin <jquelin> 3.1.0-1.mga3
+ Revision: 303904
- update to 3.001
- update to 2.122700

* Tue Sep 25 2012 jquelin <jquelin> 2.122.690-1.mga3
+ Revision: 297671
- update to 2.122690

* Tue Sep 18 2012 jquelin <jquelin> 2.122.620-1.mga3
+ Revision: 295885
- update to 1.122620

* Fri Aug 31 2012 jquelin <jquelin> 2.120.460-3.mga3
+ Revision: 286065
- perl 5.16.1 rebuild

* Mon Jun 04 2012 jquelin <jquelin> 2.120.460-2.mga3
+ Revision: 254192
- fix shebang with new perl 5.16 path

* Tue Mar 06 2012 jquelin <jquelin> 2.120.460-1.mga2
+ Revision: 219753
- update to 2.120460

* Fri Oct 14 2011 jquelin <jquelin> 2.111.781-2.mga2
+ Revision: 155122
- perl 5.14.2 rebuild

* Mon Jun 27 2011 jquelin <jquelin> 2.111.781-1.mga2
+ Revision: 114757
- remove tests, need display
- update to 2.111781
- imported package cpan2pkg


* Mon Jun 27 2011 cpan2dist 2.111780-1mga
- initial mageia release, generated with cpan2dist
